#version 330 core
//layout (location = 0) in vec2 vPos;
layout (location = 0) in vec3 vPos;
layout (location = 1) in vec3 vColor;
layout (location = 2) in vec2 vTexCoord;
uniform mat4 MVP;
//varying vec3 color;


out vec3 ourColor;
out vec2 TexCoord;
out vec3 FragCoord;

void main()
{
   //gl_Position = MVP * vec4(vPos, 1.0);
	gl_Position = vec4(vPos, 1.0);
	FragCoord = vec3(vPos.x, vPos.y, vPos.z);
	ourColor = vColor;
	TexCoord = vec2(vTexCoord.x, vTexCoord.y);
};
